| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageTextureSolid Class Reference

A class for a solid coloured texture. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageTextureSolid:

[legend]
List of all members.

## Public Member Functions
virtual void | GetColor (csColor &col, float, float)
| get the color
virtual | ~csGenerateImageTextureSolid ()
| delete it
## Public Attributes
csColor | color
| the colour, range 0-1

## Detailed Description

A class for a solid coloured texture.

Definition at line 121 of file gentrtex.h.

## Constructor & Destructor Documentation

virtual csGenerateImageTextureSolid::~csGenerateImageTextureSolid | ( |  | ) | `[inline, virtual]`

delete it

Definition at line 128 of file gentrtex.h.

## Member Function Documentation

virtual void csGenerateImageTextureSolid::GetColor | ( | csColor & | col,
|  | float | ,
|  | float |  |
| ) |  |  | `[inline, virtual]`

get the color

Implements csGenerateImageTexture.

Definition at line 130 of file gentrtex.h.

## Member Data Documentation

csColor csGenerateImageTextureSolid::color

the colour, range 0-1

Definition at line 126 of file gentrtex.h.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h